import merge from 'deepmerge';
import litcss from 'rollup-plugin-lit-css';
import commonjs from '@rollup/plugin-commonjs';

import {createBasicConfig} from '@open-wc/building-rollup';

const baseConfig = createBasicConfig({
  // if you need to support older browsers, such as IE11, set the legacyBuild
  // option to generate an additional build just for this browser
  // legacyBuild: true,

  // development mode creates a non-minified build for debugging or development
  developmentMode: !!process.env.ROLLUP_WATCH,

  // disable sharedworker
  injectServiceWorker: false,
  workbox: false
});

export default merge(baseConfig, {
  input: './src/index.js',
  output: {
    entryFileNames: `coreweb-components${process.env.ROLLUP_WATCH ? '' : '.min'}.js`,
    chunkFileNames: `coreweb-components${process.env.ROLLUP_WATCH ? '' : '.min'}.js`,
  },
  plugins: [
    litcss(),
    commonjs()
  ]
});
