
export const bridge = widgetName => {
  const bridgeWidgetName = widgetName
    .replaceAll('cw-', '') // 'cw-' name web components suffix supported
    .replaceAll('-', '');

  window.jQuery.widget.bridge(`xwidget.$${bridgeWidgetName}`, {
    _create() {
      this.inited = false;
      this.component = document.createElement(widgetName);

      const options = {
        ...this.options,
        ...this.options.properties
      }
      this._applyOptionsToCmp(options);

      this.element[0].appendChild(this.component);
      this.element[0].setAttribute('style', '');
      this.inited = true;
    },

    _applyOptionsToCmp(options) {
      if (!options) return;
      for (const [key, value] of Object.entries(options)) {
        this.component[key] = value;
      }
    },

    option(name, value) {
      if (!name)
        return;  //TODO Will return component list properties
      if (value === undefined) // Magic logic from coreweb.js
        return this.component[name] || null;

      this.component[name] = value;
      return this.component[name];
    },

    getName() {
      return this.component.name;
    },

    setLabel(label) {
      this.component.label = label;
    },

    setDescription(description) {
      this.component.description = description;
    },

    isCloneable() {
      return false;
    },

    isEdited() {
      return !!this.component.changed;
    },

    isPopulated() {
      return !!this.component.value;
    },

    isSubmitted() {
      return !!this.component.name;
    },

    setValue(value) {
      this.component.value = value;
      return value;
    },

    getValue() {
      return this.component.value;
    },

    getValues() {
      return [this.getValue()];
    },

    setFormData(formData) {
      // TODO: in original widget.js there is additional logic with extention
      const value = formData.field && formData.field[this.component.name];
      if (value !== undefined) {
        return this.setValues ? this.setValues(value) : this.setValue(value);
      }
      return window.jQuery.Deferred().resolve();
    },

    setAccess(attribute) {
      // if (!this.inited) {
      //   this.element[0].setAttribute('style', '');
      //   this.inited = true;
      // }
      this.component[attribute] = true;
      return window.jQuery.Deferred().resolve();
    },

    setDefaultValue(value) {
      this.component.defaultValue = value;
      return window.jQuery.Deferred().resolve();
    },

    validate() {
      return this.component.validate();
    },

    clear() {
      this.component.value = '';
    },

    // deprecated
    resetAccess() {},
  });
};
