import {LitElement, html, css} from 'lit-element';

class CWTestWidget extends LitElement {
  static get styles() {
    return css`
      :host {
        display: block;
        padding: 25px;
        color: var(--x-test-widget-text-color, #000);
      }
    `;
  }

  static get properties() {
    return {
      title: {type: String},
      counter: {type: Number}
    };
  }

  constructor() {
    super();
    this.title = 'Hey there';
    this.counter = 5;
  }

  __increment() {
    this.counter += 1;
  }

  render() {
    return html`
      <h2>${this.title} Nr. ${this.counter}!</h2>
      <button @click=${this.__increment}>increment</button>
    `;
  }
}

window.customElements.define('cw-test-widget', CWTestWidget);