import { dedupeMixin } from '@open-wc/dedupe-mixin';

export const FormCmpMixin = dedupeMixin(
  superclass =>
    class FormCmpMixin extends superclass {
      static get properties() {
        return {
          required: { type: Boolean, reflect: true },
          readonly: { type: Boolean, reflect: true },
          name: { type: String, reflect: true },
          value: { type: String },
          defaultValue: { type: String, reflect: true },
        };
      }

      constructor() {
        super();
        this.value = '';
        this.touched = false;
        this.addEventListener('focus', this._handleFocus);
      }

      _handleFocus() {
        this.touched = true;
      }

      set defaultValue(value) {
        this.value = value;
        return value;
      }
    }
);
