import {html} from 'lit-html';
import {spreadProps} from '@open-wc/lit-helpers';
import '../components/CWTextField/CWTextField';

export default {
    title: 'components/TextField',
    component: 'cw-text-field'
};

const Template = (args) => html`
  <cw-text-field ...=${spreadProps(args)}></cw-text-field>
`;

export const Base = Template.bind({});
Base.args = {
    label: 'This is label',
    placeholder: 'This is placeholder',
    description: 'This is description'
};

export const Required = Template.bind({});
Required.args = {
    label: 'This is label',
    required: true
};

export const Readonly = Template.bind({});
Readonly.args = {
    label: 'This is label',
    readonly: true,
    defaultValue: 'This is value'
};