import {html} from 'lit-html';
import {spreadProps} from '@open-wc/lit-helpers';
import '../components/XToggle.js';

export default {
    title: 'components/XToggle',
    component: 'x-toggle',
    argTypes: {
        '--checkbox-color': {control: 'color'},
        disabled: {type: 'boolean'},
        checked: {type: 'boolean'}
    },
    parameters: {
        actions: {
//            argTypesRegex: '^on.*',
            handles: ['click', 'change']
        }}
};

const Template = ({label, ...args}) => html`
    <style>x-toggle {--checkbox-color: ${args['--checkbox-color']}}</style>
  <x-toggle ...=${spreadProps(args)}>${label}</x-toggle>
`;

export const Base = Template.bind({});
Base.args = {
    disabled: false, checked: true, label: "Test", '--checkbox-color': "rgb(67, 156, 144)"
};
