import {html, fixture, expect} from '@open-wc/testing';

import '../src/components/CWTestWidget'

describe('XTestWidget', () => {
  it('has a default title "Hey there" and counter 5', async () => {
    const el = await fixture(html`
      <x-test-widget></x-test-widget>
    `);

    expect(el.title).to.equal('Hey there');
    expect(el.counter).to.equal(5);
  });

  it('increases the counter on button click', async () => {
    const el = await fixture(html`
      <x-test-widget></x-test-widget>
    `);
    el.shadowRoot.querySelector('button').click();

    expect(el.counter).to.equal(6);
  });

  it('can override the title via attribute', async () => {
    const el = await fixture(html`
      <x-test-widget title="attribute title"></x-test-widget>
    `);

    expect(el.title).to.equal('attribute title');
  });

  it('passes the a11y audit', async () => {
    const el = await fixture(html`
      <x-test-widget></x-test-widget>
    `);

    await expect(el).shadowDom.to.be.accessible();
  });
});
