import {html, fixture, expect} from '@open-wc/testing';

import '../src/components/CWTextField/CWTextField';

describe('TextField', () => {
    it('has a default lable "Default label"', async () => {
        const el = await fixture(html`
            <cw-text-field></cw-text-field>
        `);
        expect(el.label).to.equal('Default label');
    });

    it('can override a label via attribute', async () => {
        const label = 'Custom label';
        const el = await fixture(html`
            <cw-text-field label="${label}"></cw-text-field>
        `);
        expect(el.label).to.equal(label);
    });
});
