const {fromRollup} = require('@web/dev-server-rollup');
const rollupLitCss = require('rollup-plugin-lit-css');
const rollupCommonjs = require('@rollup/plugin-commonjs');

const litCss = fromRollup(rollupLitCss);
const commonJs = fromRollup(rollupCommonjs);

module.exports = {
  port: 3000,
  open: '/demo',
  nodeResolve: true,
  appIndex: 'demo/index.html',
  mimeTypes: {
    'src/**/*.css': 'js',
    'node_modules/**/*.css': 'js',
  },
  plugins: [commonJs({
    exclude: ['dist/**']
  }), litCss()]
};
