const {defaultReporter} = require('@web/test-runner');
//const {junitReporter} = require('@web/test-runner-junit-reporter');
const rollupLitCss = require('rollup-plugin-lit-css');
const {fromRollup} = require('@web/dev-server-rollup');
const {mdxReporter} = require('./src/mdx-reporter.js');

const litCss = fromRollup(rollupLitCss);

module.exports = {
  files: 'test/**/*.test.js',
  nodeResolve: true,
  mimeTypes: {
    '**/*.css': 'js',
  },
  /*  testFramework: {
        reporter: 'json',
        config: {
          reporter: 'json',
     //    reporterOption: {
              //mochaFile: 'file.xml'
                //reportFilename: 'testspp.xml'
      //           output: '/results/testspec.xml'
       //   }
        }
    },*/
  plugins: [litCss()],
  reporters: [
      defaultReporter({reportTestResults: true, reportTestProgress: false}),
      // junitReporter({
      //   outputPath: './results/test-results.xml', // default `'./test-results.xml'`
      //   reportLogs: true, // default `false`
      // }),
      mdxReporter()
  ]
};
